Package: groovy.lang

## [Java] Class GroovyObjectSupport

- groovy.lang.GroovyObjectSupport

- All Implemented Interfaces and Traits:
    GroovyObject

      public abstract class GroovyObjectSupport
      extends Object
      implements GroovyObject

  Base class for Java objects wishing to be Groovy objects.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaClass` | `getMetaClass()`
    `` | `public void` | `setMetaClass(MetaClass metaClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      @Transient
      public MetaClass getMetaClass()

    - #### @Override
      public void setMetaClass(MetaClass metaClass)